post
https://yourServer.jamfcloud.com/JSSResource/distributionpoints/id/
Creates a new distribution point by ID
Jamf Pro API equivalent available:POST /api/v1/distribution-points/{id}/history. The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
<distribution_point>
<name>New York Share</name>
<ip_address>ny.company.com</ip_address>
<is_master>true</is_master>
<enable_load_balancing>false</enable_load_balancing>
<ssh_username>casperadmin</ssh_username>
<password>password</password>
<connection_type>SMB</connection_type>
<share_name>Caspershare</share_name>
<workgroup_or_domain>COMPANY</workgroup_or_domain>
<share_port>139</share_port>
<read_only_username>casperinstall</read_only_username>
<read_only_password>password</read_only_password>
<read_write_username>casperwrite</read_write_username>
<read_write_password>password</read_write_password>
<http_downloads_enabled>true</http_downloads_enabled>
<http_url>http://ny.company.com/CasperShare</http_url>
<context>CasperShare</context>
<protocol>http</protocol>
<port>80</port>
<no_authentication_required>false</no_authentication_required>
<username_password_required>true</username_password_required>
<http_username>casperinstall</http_username>
<http_password>password</http_password>
</distribution_point> 201Created